Subject: Header compression question

From: Gábor Molnár <[email-masked]>
Date: Sun, 30 Jun 2013 21:20:22 +0200

When implementing the differential coding part of the header compression
spec, the following question came up.

If I understand it correctly,
1. the indexes in the working set are frozen at the beginning of the
decoding process, so they might go out of sync with the header table
2. when dereferencing an index, the working set is checked first and then
the header table
3. as a result of the combination of these, the working set may shadow
entries in the header table, and make them unaccessible

Is this the way dereferencing indexes work, and this "shadowing" must be
worked around when doing the encoding part, or did I misunderstand
something?

PS: should I send messages like this to the editors of the spec only or is
it OK to send this to the list?

Thanks,
  Gábor